
// This is used for the Media Mover Config page
if (Drupal.jsEnabled) {
  $(document).ready(function () {
  
    /**
     * generic show hide function
     * @param select is what is selected
     * @param parent is the parent of the item
     */
    function showHideOther(select, parent) {
      var other = $(select).parents('form').find('.'+parent);
      if ($(select).val() == 'other') {
        $(other).show('slow');
      }
      else {
        $(other).hide('slow');
      }
    }
  
    $('select.thumbnailer-interval').each(function() {
      showHideOther(this, 'thumbnailer-interval-other');
    }).change(function() {
      showHideOther(this, 'thumbnailer-interval-other');
      return false;
    });
   
    $('select.thumbnailer-size').each(function() {
      showHideOther(this, 'thumbnailer-size-other');
    }).change(function() {
      showHideOther(this, 'thumbnailer-size-other');
      return false;
   });
    
        
  });

}


// This is used for the thumb picker
if (Drupal.jsEnabled) {
  $(document).ready(function () {
    // activate the correct thumb
    var id = $('#edit-video-thumb-choice').val();
    $('#vtn_'+id).addClass('picked');
    
    // hide the selector so we don't need to worry about it
    $('#edit-video-thumb-choice').css('display', 'none');

    // display what file is currently in use:
     $('#video-thumbnailer-selected').html('Using file: '+$('#edit-video-thumb-choice option:selected').html());

		$('.video-thumbnailer-picker > .video-thumbnailer-thumb').click( function () {
		  $('.video-thumbnailer-thumb.picked').removeClass('picked');
		  // set the value
		  $('#edit-video-thumb-choice').val( $(this).attr('id').replace(/vtn_/,'') );
		  // assign the file name 
      $('#video-thumbnailer-selected').html('Using file: '+$('#edit-video-thumb-choice option:selected').html());
      $(this).addClass('picked');
		});
		
 });
}